Skip to main content
post/v2/dlq/bulkDelete
Request example
Response
post/v2/dlq/bulkDelete

The request returns after creating the action. Use its actionId with Get a Bulk Action to check progress.

Identical filters submitted while an action is already in-progress return the existing action.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Query parameters

messageIdstring#
Filter by message ID.
urlstring[]#
Filter by destination URL. Supports multiple values.
topicNamestring[]#
Filter by URL Group name. Supports multiple values.
scheduleIdstring[]#
Filter by schedule ID. Supports multiple values.
queueNamestring[]#
Filter by queue name. Supports multiple values.
responseStatusinteger[]#
Filter by the last delivery attempt's HTTP response status. Supports multiple values.
fromDateinteger#
Inclusive start of the DLQ date range, in Unix milliseconds.
toDateinteger#
Inclusive end of the DLQ date range, in Unix milliseconds.
callerIpstring[]#
Filter by publisher IP address. Supports multiple values.
labelstring[]#
Filter by message label. Supports multiple values.
flowControlKeystring[]#
Filter by flow control key. Supports multiple values.

Responses

application/json
The background action was created or an identical in-progress action was returned.
actionIdstringrequired#
ID used to check the background action's progress.
totalintegerrequired#
Number of DLQ messages matching the filters when the action was created.